Subject: [mpls] Questions for RFC5561

From: [email-masked]
Date: Tue, 5 Jul 2011 14:15:11 +0800

Hi all,
RFC 5561 does not explicitly describe the LDP advertisement procedure of 
capability withdraw. Then if one LDP speaker decides to withdraw one 
capability, there are two options:
1. withdraw the FEC advertisement first, then capability negotiation with 
the peer. But what if negotiation failed?
2. capability negotiation with the peer first, then withdraw the FEC. But 
if capability is disable, how to withdraw the FEC.
Which one should be used then? Hope to see the clarification.

Thank you
Lizhong

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Kamran Raza <[email-masked]>
Date: Tue, 05 Jul 2011 11:34:51 -0400

Hi Lizhong,

The RFC5561 just provides a framework for capabilities and the detailed
procedure for withdrawing a particular capability are to be stated in the
capability document itself. For instance,
The I-D draft-raza-mpls-ldp-olf-00.txt section 4.4.2 states LDP OLF
procedures on capability changes/withdraws.

Please see further inline for [skraza]

On 11-07-05 2:15 AM, "[email-masked]" <[email-masked]>
wrote:

> 1. withdraw the FEC advertisement first, then capability negotiation with the
> peer. But what if negotiation failed?
> 
> [skraza]: The capability withdrawal should implicitly remove any state (e.g.
> FEC) associated with it, without a need to explicitly remove/withdraw it. BTW,
> once capability is negotiated, its withdrawal should not fail. Can u please
> elaborate what do you mean by ³negotiation failed² at the capability
> withdrawal time ?
> 
>  
> 2. capability negotiation with the peer first, then withdraw the FEC. But if
> capability is disable, how to withdraw the FEC.
> [skraza]: Again, what exactly the term ³negotiation² means here ? If you are
> just withdrawing already a negotiated capability, why would this withdrawal
> fail ? If there are capability specific scenarios, then they must be cover in
> capability documents.
> 
> Thanks.
> -- 
         Syed Kamran Raza
    Technical Leader, SPRSG IOS-XR Routing (MPLS)
    Cisco Systems, Inc.,
    Kanata, ON, K2K 3E8, Canada
    Ph: +1 (613) 254-4520
> http://www.cisco.com
> ZTE Information Security Notice: The information contained in this mail is
> solely property of the sender's organization. This mail communication is
> confidential. Recipients named above are obligated to maintain secrecy and are
> not permitted to disclose the contents of this communication to others.
> This email and any files transmitted with it are confidential and intended
> solely for the use of the individual or entity to whom they are addressed. If
> you have received this email in error please notify the originator of the
> message. Any views expressed in this message are those of the individual
> sender.

---

From: [email-masked]
Date: Wed, 6 Jul 2011 17:05:15 +0800

Hi Kamran,
Thanks for the reply. I read the draft-raza-mpls-ldp-olf, and it is quite 
clear for the capability change procedure. But many of other drafts do not 
describe the withdraw procedure.
And you are right, there is no withdrawal failure. Referring to your new 
draft, and take for LDP uptream capability for example, if LSR1 disable 
this capability and send capability message to peer LSR2. On LSR1, the LDP 
upstream capability (means some LDP upstream label assignment procedure) 
should still be retained for some time, to withdraw the upstream label 
adverstisement, and to release/to wait to be withdrawed the requested FEC 
advertisement. On LSR2, when receiving the capability message, do the same 
as LSR1, right?

Now much clear for me. BTW, RFC5561 section 2.1 does not require to 
describe the procedure of capability withdraw.

Thank you.
Lizhong

Kamran Raza <[email-masked]> wrote on 2011-07-05 23:34:51:

> Hi Lizhong,
> 
> The RFC5561 just provides a framework for capabilities and the 
> detailed procedure for withdrawing a particular capability are to be
> stated in the capability document itself. For instance, 
wrote:

> 
> Hi all, 
> RFC 5561 does not explicitly describe the LDP advertisement 
> procedure of capability withdraw. Then if one LDP speaker decides to
> withdraw one capability, there are two options: 
> 1. withdraw the FEC advertisement first, then capability negotiation
> with the peer. But what if negotiation failed?
> 
> [skraza]: The capability withdrawal should implicitly remove any 
> state (e.g. FEC) associated with it, without a need to explicitly 
> remove/withdraw it. BTW, once capability is negotiated, its 
> withdrawal should not fail. Can u please elaborate what do you mean 
> by “negotiation failed” at the capability withdrawal time ? 
> 
> 
> 2. capability negotiation with the peer first, then withdraw the 
> FEC. But if capability is disable, how to withdraw the FEC. 
> [skraza]: Again, what exactly the term “negotiation” means here ? If
> you are just withdrawing already a negotiated capability, why would 
> this withdrawal fail ? If there are capability specific scenarios, 
> then they must be cover in capability documents.
> 
> Thanks.
> -- 
>         Syed Kamran Raza